package config

import (
	"github.com/clod-moon/goconf"
	"github.com/fsnotify/fsnotify"
	"log"
	"os"
)

func main() {
InitConfig()

}

//本地工作目录
var LocalWorkSpaceDir string

//本地ipfs网关
var GobalIpfsUrl ="localhost:5001"

//ipfs引导节点默认网关，安装目录下 bin/fts.ini 可配
var ServerIpfsUrl = "10.240.10.238:5001"

var UpdaterName ="LOCKING更新.exe"
var EtcdUrl="127.0.0.1:2379"

var GobalWatch *fsnotify.Watcher

//全局的chanel map
var GobalWatchChannelMap = make(map[string] chan string)
//var EtcdUrl="127.0.0.1:2379"


func InitConfig(){

	tszdir :=os.Getenv("TSZDIR")

	conf := iniconf.InitConfig(tszdir+"bin/fts.ini")
	//Path,_ = filepath.Abs("./")

	iniServerIpfsUrl := conf.GetValue("url", "ServerIpfsUrl")
	if iniServerIpfsUrl=="" || len(iniServerIpfsUrl)==0{
		log.Println("请检测文件bin/fts.ini文件缺失或ServerIpfsUrl配置项缺失")
	}else{
		ServerIpfsUrl = iniServerIpfsUrl
		log.Println("配置引导节点："+ServerIpfsUrl)
	}

	ServerIpfsUrl = conf.GetValue("database", "username")
	LocalWorkSpaceDir=os.Getenv("TSZDATADIR")

}